function c=updback()
%called by putrand for an incorrect previous assumption
%also avoids recursion in putrand
%Part of project : Sudoku

data=load('back');
asum=data.asum-1;
if asum~=0
    b=data.b99(:,:,asum);
    d=data.d999(:,:,:,asum);
    i=data.x1(asum);
    j=data.x2(asum);
    z=data.iz(asum)+1;
    n=data.nz(asum); 
    a=data.az(asum,1:n);


    %update back.mat
    b99=data.b99(:,:,1:asum);
    d999=data.data(:,:,:,1:asum);
    x1=data.x1(1:asum);
    x2=data.x2(1:asum);
    az=data.az(:,1:asum);
    iz=data.iz(1:asum);
    iz(asum)=z;
    nz=data.nz(1:asum);
    save('back','asum','b99','d999','x1','x2','az','iz','nz');

    %call putrand
    c=putrand(b,d,i,j,a,z);
else
    c=[];
end

